<template>
  <div class="sidebar sub-menu" :class="{ visible: isSubMenuVisible }">
    <button class="sidebar-item-without-hover" @click="() => hideSubMenu()">
      <ArrowLeftIcon />
      <p class="sidebar-item-title">go back</p>
    </button>
    <button class="sidebar-item" @click="() => fetchGlassesByType('women')">
      <p class="sidebar-item-title">women</p>
      <ArrowRightIcon />
    </button>
    <button class="sidebar-item" @click="() => fetchGlassesByType('men')">
      <p class="sidebar-item-title">men</p>
      <ArrowRightIcon />
    </button>
  </div>
</template>
<script lang="ts">
import { GLASSES_TYPES } from '@/types/glasses'
import ArrowRightIcon from '@/components/icons/ArrowRightIcon.vue'
import ArrowLeftIcon from '@/components/icons/ArrowLeftIcon.vue'
export default {
  components: {
    ArrowRightIcon,
    ArrowLeftIcon
  },
  props: {
    isSubMenuVisible: {
      type: Boolean,
      required: true
    },
    changeGlassesType: {
      type: Function,
      required: true
    },
    activeTypeButton: {
      type: String,
      required: true
    },
    hideSubMenu: {
      type: Function,
      required: true
    }
  },
  methods: {
    fetchGlassesByType(sex: string) {
      let glassesType
      if (this.activeTypeButton === 'spectacles') {
        if (sex === 'men') {
          glassesType = GLASSES_TYPES.SPECT_FOR_MEN
        } else {
          glassesType = GLASSES_TYPES.SPECT_FOR_WOMEN
        }
      } else {
        if (sex === 'men') {
          glassesType = GLASSES_TYPES.SUN_FOR_MEN
        } else {
          glassesType = GLASSES_TYPES.SUN_FOR_WOMEN
        }
      }
      this.changeGlassesType(glassesType)
    }
  }
}
</script>
